Page MenuHomePhabricator

Enable cross-wiki backend search functionality on it.wikipedia
Closed, ResolvedPublic

Description

Italian wikipedia currently has their own setup for doing cross-wiki search results - this ticket is to enable the new backend searching across wiki's on it.wikipedia in order to speed up their searches.

Note: it.wiki currently searches the wiki projects one at a time - this new functionality will search across the applicable projects all at the same time.

Note: investigate if we need to add in new/more event logging to see if displaying more relevant/faster cross-wiki search results make a difference in click-through.

Details

Related Gerrit Patches:
mediawiki/extensions/CirrusSearch : masterPerform interwiki searches with a multi-search

Event Timeline

debt created this task.Sep 20 2016, 5:59 PM
debt updated the task description. (Show Details)Sep 20 2016, 11:00 PM

Change 313318 had a related patch set uploaded (by EBernhardson):
[WIP] Perform interwiki searches with a multi-search

https://gerrit.wikimedia.org/r/313318

EBernhardson added a comment.EditedSep 29 2016, 4:07 PM

For click through based on faster/slower results, i think we can run a simpler test that slows down results by a few hundred ms and look at differences in behaviour. I don't think we need to test if this specific change has that effect.

To see if this change ends up having any effect on latency we should be able to look at response percentiles in hive pre and post deployment.

Elitre added a subscriber: Elitre.Oct 13 2016, 7:35 AM

Change 313318 merged by jenkins-bot:
Perform interwiki searches with a multi-search

https://gerrit.wikimedia.org/r/313318

CKoerner_WMF added a comment.EditedOct 25 2016, 9:58 PM

@EBernhardson Is the existing cross-wiki search on the Italian Wikipedia part of MediaWiki core, CirrusSearch, or something else? I'd like to know if I need to talk to the community there about this change or if this is all behind the scenes and will just Make Things Better™ :)

The interwiki search results on itwiki come from CirrusSearch, and are rendered by core. Likely we will need to talk to them, because we will be changing the results they get. Specifically the current design drafts show a single result per interwiki search result with highlights, whereas what itwiki currently gets is a list of up to 5 matching titles per wiki with no highlights.

We had some intention of using itwiki as one of the first testing grounds for changes to the interface, iirc.

I wasn't looking at what exactly this ticket is ... For the changes made specifically for this ticket itwiki shouldn't notice any particular difference, except that the results should come back faster.

Deskana closed this task as Resolved.Oct 28 2016, 4:25 AM
Elitre added a comment.Nov 2 2016, 3:05 PM

I'd argue that " you'll get faster results" is a very interesting piece of information to be given to a community.

Deskana added a subscriber: Deskana.Nov 2 2016, 3:10 PM

I'd argue that " you'll get faster results" is a very interesting piece of information to be given to a community.

Indeed! Do you have any suggestions for the best place to leave that feedback on the Italian Wikipedia? Would we need to get the message translated, or would English suffice?

Elitre added a comment.Nov 2 2016, 3:18 PM

Local language is always better. Once Chris has all the info he needs about what was done, and further plans/details if any, I can support him of course.

to put some numbers on it here is the change observed. Note that because we are currently routing search requests to codfw the numbers are a little more exagerated, because every request had to make the 30ms round trip between virginia and dallas:

dayp50p95p99
24188.01049.01686
25816.01354.02040
26801.01061.01654
27758.01035.01625
28187.0481.0995
29189.0479.0993
30192.0475.0963
EBernhardson added a comment.EditedNov 2 2016, 6:48 PM

The human translation:

Pre-change 50% of requests ran in less then 0.8 seconds, 95% of requests ran in less than 1.3 seconds. After the change 50% of requests ran in less than 0.2 seconds, and 95% of requests ran in less than 0.5 seconds.

These can also be read in reverse:
Pre-change 50% of requests ran in more than 0.8 seconds. 5% of requests ran in more than 1.3seconds. After the change 50% of requests ran in more than 0.2 seconds, and 5% of the requests ran in more than 0.5 seconds.

Elitre awarded a token.Nov 2 2016, 6:51 PM
debt awarded a token.Nov 4 2016, 1:37 PM